Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Disabled SSL validation in ctxbroker client

We need py2.5 compatibility but the pypi SSL module seems to not
be compatible with httplib2's cert validation code.

Also rolled to version 0.4.6
  • Loading branch information...
commit d688aae496de12a6f50f8a13cae657c3a70b7068 1 parent fd587a8
@labisso labisso authored
Showing with 2 additions and 2 deletions.
  1. +1 −1  nimboss/ctx.py
  2. +1 −1  setup.py
View
2  nimboss/ctx.py
@@ -16,7 +16,7 @@ class ContextClient(object):
"""
def __init__(self, broker_uri, key, secret):
self.broker_uri = broker_uri
- self.connection = Connection()
+ self.connection = Connection(disable_ssl_certificate_validation=True)
self.connection.add_credentials(key, secret)
# forcibly add basic auth header to get around Nimbus not
View
2  setup.py
@@ -2,7 +2,7 @@
setupdict = {
'name' : 'nimboss',
- 'version' : '0.4.5',
+ 'version' : '0.4.6',
'description' : 'Nimbus cloud client API',
'url': 'http://github.com/nimbusproject/Nimboss',
'download_url' : 'http://ooici.net/packages',
Please sign in to comment.
Something went wrong with that request. Please try again.